Subject: Re: [Mip4] Fw: Recharter: Ethernet Service Support

From: Qin Wu <[email-masked]>
Date: Tue, 19 May 2009 10:10:35 +0800

Hi, Christian:
Thank for your feedback. Just let you know, we have already updated the version 2. 
As regarding your comments, please see my reply below.

> Below, you'll find some comments based on my review of your I-D  
> draft-wu-mip4-ether-01.txt:
> 
> Introduction:
> 
> Remove the r:  "The capability .......service providers to _provide_ IP 
> services ..."

[Qin]: Right,  there appears to be a typo here, thanks you for pointing out this.

> Third bullet: ISP-head _and_ to enable
> 
> Last paragraph:  "... home address assignment _policies_ and tunnel ... 
> can be operated _in_ parallel to ..."

[Qin]: Right, good catch.

> Terminology:
> 
> GRE Extension: check: _to differentiate between *difference* Ethernet_ 
> ... Not clear what you mean.

[Qin]: I actually said GRE extension can be used to differentiate between different Ethernet service based on GRE keys.
Here is a nits, thank you for pointing out this.

> Section 3.3
> 
> VLAN tags process in _both direction_ towards ...

[Qin]: It is okay with me, I can change bidirection into both direction.
 
> Section 4.2
> " ... the communication between the MN and the home agent needs to be 
> modified to support Ethernet frame network..." This statement maybe 
> difficult  in order to sell your proposal.
[Qin] You are right. We could add some text to say:
"
In order to support Ethernet service delivery in mobile IPv4
scenario, the communication between the MN and the home agent needs
to be modified to setup binding between MN's MAC address and FA CoA.
"
What do you think of it?

> I do not understand what do you mean by: "host behind the MN" is  it a 
> router/IP node? MN is one of the end-point of communication path. Which 
> node/host is behind MN?

[Qin]: What I mean here is in multi-host support scenario(please see the section 3.4 of this draft), there are multiple mobile devices connected to the bridge behind Mobile Router. The mobile router contains a bridge forwarding to the mobile devices behind the MR. The traffic sent from the mobile device should be forwarded by the Mobile Router to the Ethernet sevice provider. In this scenario, the MN is the mobile router and not a end point of communication path. The mobile device behind the mobile router is the real end point of communication path.

> Section 6.2
> _to differentiate between *difference* Ethernet_ services or flows... 
> Not clear what you mean.

[Qin]: It is a typo, the difference should be changed into different, thank you for correcting me.

> Last sentence: "... Wu Expires ....", formatting issue, need to check.
> 
> Section 7.2
> 
> Home Agent Operatio_*n

> *_Best regards,
> Christian_*
> *_